JobHistory.ReduceAttempt (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class JobHistory.ReduceAttempt

    java.lang.Object
      org.apache.hadoop.mapred.JobHistory.Task
          org.apache.hadoop.mapred.JobHistory.TaskAttempt
              org.apache.hadoop.mapred.JobHistory.ReduceAttempt

Enclosing class:
  JobHistory

    public static class JobHistory.ReduceAttempt

extends JobHistory.TaskAttempt

Helper class for logging or reading back events related to start, finish or failure of a Map Attempt on a node.

Constructor Summary
`JobHistory.ReduceAttempt()`

Method Summary
`String` | `get(JobHistory.Keys k)` Get 'String' value for given key.
`int` | `getInt(JobHistory.Keys k)` Convert value from history to int and return.
`long` | `getLong(JobHistory.Keys k)` Convert value from history to int and return.
`Map<JobHistory.Keys,String>` | `getValues()` Returns Map containing all key-values.
`void` | `handle(Map<JobHistory.Keys,String> values)` Reads values back from the history, input is same Map as passed to Listener by parseHistory().
`static void` | `logFailed(TaskAttemptID taskAttemptId, long timestamp, String hostName, String error)` Deprecated. Use `logFailed(TaskAttemptID, long, String, String, String)`
`static void` | `logFailed(TaskAttemptID taskAttemptId, long timestamp, String hostName, String error, String taskType)` Log failed reduce task attempt.
`static void` | `logFinished(TaskAttemptID taskAttemptId, long shuffleFinished, long sortFinished, long finishTime, String hostName)` Deprecated. Use `logFinished(TaskAttemptID, long, long, long, String, String, String, Counters)`
`static void` | `logFinished(TaskAttemptID taskAttemptId, long shuffleFinished, long sortFinished, long finishTime, String hostName, String taskType, String stateString, Counters counter)` Log finished event of this task.
`static void` | `logKilled(TaskAttemptID taskAttemptId, long timestamp, String hostName, String error)` Deprecated. Use `logKilled(TaskAttemptID, long, String, String, String)`
`static void` | `logKilled(TaskAttemptID taskAttemptId, long timestamp, String hostName, String error, String taskType)` Log killed reduce task attempt.
`static void` | `logStarted(TaskAttemptID taskAttemptId, long startTime, String hostName)` Deprecated. Use `logStarted(TaskAttemptID, long, String, int, String)`
`static void` | `logStarted(TaskAttemptID taskAttemptId, long startTime, String trackerName, int httpPort, String taskType)` Deprecated.
`static void` | `logStarted(TaskAttemptID taskAttemptId, long startTime, String trackerName, int httpPort, String taskType, org.apache.hadoop.mapred.Locality locality, org.apache.hadoop.mapred.Avataar avataar)` Log start time of Reduce task attempt.
`void` | `set(JobHistory.Keys k, String s)` Set value for the key.
`void` | `set(Map<JobHistory.Keys,String> m)` Adds all values in the Map argument to its own values.

Methods inherited from class org.apache.hadoop.mapred.JobHistory.Task
`getTaskAttempts, logFailed, logFailed, logFinished, logStarted, logUpdates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobHistory.ReduceAttempt

    public JobHistory.ReduceAttempt()

Method Detail

### logStarted

    @Deprecated
    public static void logStarted(TaskAttemptID taskAttemptId,
                                             long startTime,
                                             String hostName)

  Deprecated. Use `logStarted(TaskAttemptID, long, String, int, String)`

  Log start time of Reduce task attempt.

  Parameters:
    `taskAttemptId` - task attempt id
    `startTime` - start time
    `hostName` - host name

### logStarted

    @Deprecated
    public static void logStarted(TaskAttemptID taskAttemptId,
                                             long startTime,
                                             String trackerName,
                                             int httpPort,
                                             String taskType)

  Deprecated.

### logStarted

    public static void logStarted(TaskAttemptID taskAttemptId,
                                  long startTime,
                                  String trackerName,
                                  int httpPort,
                                  String taskType,
                                  org.apache.hadoop.mapred.Locality locality,
                                  org.apache.hadoop.mapred.Avataar avataar)

  Log start time of Reduce task attempt.

  Parameters:
    `taskAttemptId` - task attempt id
    `startTime` - start time
    `trackerName` - tracker name
    `httpPort` - the http port of the tracker executing the task attempt
    `taskType` - Whether the attempt is cleanup or setup or reduce
    `locality` - the data locality of the task attempt
    `Avataar` - the avataar of the task attempt

### logFinished

    @Deprecated
    public static void logFinished(TaskAttemptID taskAttemptId,
                                              long shuffleFinished,
                                              long sortFinished,
                                              long finishTime,
                                              String hostName)

  Deprecated. Use `logFinished(TaskAttemptID, long, long, long, String, String, String, Counters)`

  Log finished event of this task.

  Parameters:
    `taskAttemptId` - task attempt id
    `shuffleFinished` - shuffle finish time
    `sortFinished` - sort finish time
    `finishTime` - finish time of task
    `hostName` - host name where task attempt executed

### logFinished

    public static void logFinished(TaskAttemptID taskAttemptId,
                                   long shuffleFinished,
                                   long sortFinished,
                                   long finishTime,
                                   String hostName,
                                   String taskType,
                                   String stateString,
                                   Counters counter)

  Log finished event of this task.

  Parameters:
    `taskAttemptId` - task attempt id
    `shuffleFinished` - shuffle finish time
    `sortFinished` - sort finish time
    `finishTime` - finish time of task
    `hostName` - host name where task attempt executed
    `taskType` - Whether the attempt is cleanup or setup or reduce
    `stateString` - the state string of the attempt
    `counter` - counters of the attempt

### logFailed

    @Deprecated
    public static void logFailed(TaskAttemptID taskAttemptId,
                                            long timestamp,
                                            String hostName,
                                            String error)

  Deprecated. Use `logFailed(TaskAttemptID, long, String, String, String)`

  Log failed reduce task attempt.

  Parameters:
    `taskAttemptId` - task attempt id
    `timestamp` - time stamp when task failed
    `hostName` - host name of the task attempt.
    `error` - error message of the task.

### logFailed

    public static void logFailed(TaskAttemptID taskAttemptId,
                                 long timestamp,
                                 String hostName,
                                 String error,
                                 String taskType)

  Log failed reduce task attempt.

  Parameters:
    `taskAttemptId` - task attempt id
    `timestamp` - time stamp when task failed
    `hostName` - host name of the task attempt.
    `error` - error message of the task.
    `taskType` - Whether the attempt is cleanup or setup or reduce

### logKilled

    @Deprecated
    public static void logKilled(TaskAttemptID taskAttemptId,
                                            long timestamp,
                                            String hostName,
                                            String error)

  Deprecated. Use `logKilled(TaskAttemptID, long, String, String, String)`

  Log killed reduce task attempt.

  Parameters:
    `taskAttemptId` - task attempt id
    `timestamp` - time stamp when task failed
    `hostName` - host name of the task attempt.
    `error` - error message of the task.

### logKilled

    public static void logKilled(TaskAttemptID taskAttemptId,
                                 long timestamp,
                                 String hostName,
                                 String error,
                                 String taskType)

  Log killed reduce task attempt.

  Parameters:
    `taskAttemptId` - task attempt id
    `timestamp` - time stamp when task failed
    `hostName` - host name of the task attempt.
    `error` - error message of the task.
    `taskType` - Whether the attempt is cleanup or setup or reduce

### get

    public String get(JobHistory.Keys k)

  Get 'String' value for given key. Most of the places use Strings as values so the default get' method returns 'String'. This method never returns null to ease on GUIs. if no value is found it returns empty string ""

  Parameters:
    `k` -
  Returns:
    if null it returns empty string - ""

### getInt

    public int getInt(JobHistory.Keys k)

  Convert value from history to int and return. if no value is found it returns 0.

  Parameters:
    `k` - key

### getLong

    public long getLong(JobHistory.Keys k)

  Convert value from history to int and return. if no value is found it returns 0.

  Parameters:
    `k` -

### set

    public void set(JobHistory.Keys k,
                    String s)

  Set value for the key.

  Parameters:
    `k` -
    `s` -

### set

    public void set(Map<JobHistory.Keys,String> m)

  Adds all values in the Map argument to its own values.

  Parameters:
    `m` -

### handle

    public void handle(Map<JobHistory.Keys,String> values)

  Reads values back from the history, input is same Map as passed to Listener by parseHistory().

  Parameters:
    `values` -

### getValues

    public Map<JobHistory.Keys,String> getValues()

  Returns Map containing all key-values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation